MultiFileSplit (Hadoop 0.20.2-CDH3B4 API)
Date: 2011-02-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class MultiFileSplit

    java.lang.Object
      org.apache.hadoop.mapred.lib.CombineFileSplit
          org.apache.hadoop.mapred.MultiFileSplit

All Implemented Interfaces:
  Writable, InputSplit

Deprecated. Use `CombineFileSplit` instead

    @Deprecated
    public class MultiFileSplit

extends CombineFileSplit

A sub-collection of input files. Unlike `FileSplit`, MultiFileSplit class does not represent a split of a file, but a split of input files into smaller sets. The atomic unit of split is a file.
MultiFileSplit can be used to implement `RecordReader`'s, with reading one record per file.

See Also:
  `FileSplit`, `MultiFileInputFormat`

Constructor Summary
`MultiFileSplit(JobConf job, Path[] files, long[] lengths)` Deprecated.

Method Summary
`String[]` | `getLocations()` Deprecated. Returns all the Paths where this input-split resides
`String` | `toString()` Deprecated.

Methods inherited from class org.apache.hadoop.mapred.lib.CombineFileSplit
`getJob, getLength, getLength, getLengths, getNumPaths, getOffset, getPath, getPaths, getStartOffsets, readFields, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiFileSplit

    public MultiFileSplit(JobConf job,
                          Path[] files,
                          long[] lengths)

  Deprecated.

Method Detail

### getLocations

    public String[] getLocations()
                          throws IOException

  Deprecated.
  Description copied from class: `CombineFileSplit`
  Returns all the Paths where this input-split resides

  Specified by:
    `getLocations` in interface `InputSplit`
  Overrides:
    `getLocations` in class `CombineFileSplit`
  Returns:
    list of hostnames where data of the `InputSplit` is located as an array of `String`s.
  Throws:
    `IOException`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `CombineFileSplit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation